# $Revision: 1.8 $, $Date: 2002/08/17 21:02:32 $
Summary:	A fast, lightweighte, non-forking HTTP server for UN*X systems
Summary(pl):	Szybki, nieduy, nie forkujcy si serwer HTTP
Name:		mathopd
Version:	1.4b20
Release:	2
Group:		Networking
License:	BSD
Source0:	http://mathop.diva.nl/dist/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.conf
URL:		http://www.mathopd.org/
Provides:	httpd
Provides:	webserver
Requires(pre):	sh-utils
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mathopd is a very small, yet very fast HTTP server for UN*X systems.
Mathopd is designed specifically to handle a large number of
connections with minimal fuss. It contains no unnecessary add-ons, but
it does the trick for most things.

%description -l pl
Mathopd jest bardzo maym, bardzo szybkim serwerem HTTP dla systemw
uniksowych. Jest zaprojektowany specjalnie do obsugi duej liczby
pocze. Nie ma niepotrzebnych dodatkw, ale potrafi wikszo
rzeczy.

%prep
%setup -q

%build
CFLAGS="%{rpmcflags}"; export CFLAGS
cd src
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/home/httpd/cgi-bin \
	$RPM_BUILD_ROOT/etc/rc.d/init.d \
	$RPM_BUILD_ROOT{%{_sbindir},%{_var}/log/mathopd}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mathopd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
install src/mathopd $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid http`" ]; then
	if [ "`getgid http`" != "51" ]; then
		echo "Error: group http doesn't have gid=51. Correct this before installing %{name}." 1>&2
		exit 1
	fi
else
        /usr/sbin/groupadd -g 51 -r -f http
fi
if [ -n "`id -u http 2>/dev/null`" ]; then
	if [ "`id -u http`" != "51" ]; then
		echo "Error: user http doesn't have uid=51. Correct this before installing %{name}." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 51 -r -d /home/httpd -s /bin/false -c "HTTP User" -g http http 1>&2
fi

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/mathopd ]; then
	/etc/rc.d/init.d/mathopd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/mathopd start\" to start %{name} daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/mathopd ]; then
		/etc/rc.d/init.d/mathopd stop 1>&2
	fi
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/userdel http
	/usr/sbin/groupdel http
fi

%files
%defattr(644,root,root,755)
%doc [A-Z]* doc/*
%attr(755,root,root) %{_sbindir}/mathopd
%attr(-, http, http) /home/httpd/*
%attr(0755, root, root) /etc/rc.d/init.d/mathopd
%config %{_sysconfdir}/mathopd.conf
%attr(750,http,http) %dir %{_var}/log/mathopd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mathopd.spec,v $
Revision 1.8  2002/08/17 21:02:32  qboosh
- better messages in pre, more Requires(), release 2

Revision 1.7  2002/07/31 08:12:29  kloczek
- cleanups.

Revision 1.6  2002/05/21 18:58:19  areq
- 1.4b20, STBR

Revision 1.5  2002/04/02 19:07:37  alchemyx
- changed prio of initscripts from 99 to 95 so it boots before gdm
- release 2

Revision 1.4  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/31 09:13:06  qboosh
- fixes in pl translations

Revision 1.1  2001/12/30 18:10:31  areq
- init PLD spec
